Update Contact
curl --request PATCH \
--url https://integration.getmateo.com/api/v1/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true
}
'import requests
url = "https://integration.getmateo.com/api/v1/contact"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": False,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": False,
"sms_marketing_opt_in": False,
"email_marketing_opt_in": False,
"facebook_marketing_opt_in": False,
"instagram_marketing_opt_in": False,
"google_business_messaging_marketing_opt_in": False,
"postal_marketing_opt_in": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
full_name: '<string>',
fts: '<string>',
is_blocked: false,
external_id: '<string>',
secondary_external_id: '<string>',
birthday: '2023-12-25',
salutation: '<string>',
email: '<string>',
sms: '<string>',
whatsapp: '<string>',
instagram: '<string>',
facebook: '<string>',
google_business_messaging: '<string>',
address_line1: '<string>',
address_line2: '<string>',
city: '<string>',
zipcode: '<string>',
country: '<string>',
postal: '<string>',
number_of_marketing_opt_in_requests: 123,
latest_marketing_opt_in_request_sent_at: '<string>',
campaign_messages_this_month: 123,
whatsapp_marketing_opt_in: false,
sms_marketing_opt_in: false,
email_marketing_opt_in: false,
facebook_marketing_opt_in: false,
instagram_marketing_opt_in: false,
google_business_messaging_marketing_opt_in: false,
postal_marketing_opt_in: true
})
};
fetch('https://integration.getmateo.com/api/v1/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/contact",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'random uuid',
'created_at' => 'now()',
'updated_at' => 'now()',
'organisation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'full_name' => '<string>',
'fts' => '<string>',
'is_blocked' => false,
'external_id' => '<string>',
'secondary_external_id' => '<string>',
'birthday' => '2023-12-25',
'salutation' => '<string>',
'email' => '<string>',
'sms' => '<string>',
'whatsapp' => '<string>',
'instagram' => '<string>',
'facebook' => '<string>',
'google_business_messaging' => '<string>',
'address_line1' => '<string>',
'address_line2' => '<string>',
'city' => '<string>',
'zipcode' => '<string>',
'country' => '<string>',
'postal' => '<string>',
'number_of_marketing_opt_in_requests' => 123,
'latest_marketing_opt_in_request_sent_at' => '<string>',
'campaign_messages_this_month' => 123,
'whatsapp_marketing_opt_in' => false,
'sms_marketing_opt_in' => false,
'email_marketing_opt_in' => false,
'facebook_marketing_opt_in' => false,
'instagram_marketing_opt_in' => false,
'google_business_messaging_marketing_opt_in' => false,
'postal_marketing_opt_in' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/contact"
payload := strings.NewReader("{\n \"id\": \"random uuid\",\n \"created_at\": \"now()\",\n \"updated_at\": \"now()\",\n \"organisation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"full_name\": \"<string>\",\n \"fts\": \"<string>\",\n \"is_blocked\": false,\n \"external_id\": \"<string>\",\n \"secondary_external_id\": \"<string>\",\n \"birthday\": \"2023-12-25\",\n \"salutation\": \"<string>\",\n \"email\": \"<string>\",\n \"sms\": \"<string>\",\n \"whatsapp\": \"<string>\",\n \"instagram\": \"<string>\",\n \"facebook\": \"<string>\",\n \"google_business_messaging\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"city\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"country\": \"<string>\",\n \"postal\": \"<string>\",\n \"number_of_marketing_opt_in_requests\": 123,\n \"latest_marketing_opt_in_request_sent_at\": \"<string>\",\n \"campaign_messages_this_month\": 123,\n \"whatsapp_marketing_opt_in\": false,\n \"sms_marketing_opt_in\": false,\n \"email_marketing_opt_in\": false,\n \"facebook_marketing_opt_in\": false,\n \"instagram_marketing_opt_in\": false,\n \"google_business_messaging_marketing_opt_in\": false,\n \"postal_marketing_opt_in\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://integration.getmateo.com/api/v1/contact")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"random uuid\",\n \"created_at\": \"now()\",\n \"updated_at\": \"now()\",\n \"organisation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"full_name\": \"<string>\",\n \"fts\": \"<string>\",\n \"is_blocked\": false,\n \"external_id\": \"<string>\",\n \"secondary_external_id\": \"<string>\",\n \"birthday\": \"2023-12-25\",\n \"salutation\": \"<string>\",\n \"email\": \"<string>\",\n \"sms\": \"<string>\",\n \"whatsapp\": \"<string>\",\n \"instagram\": \"<string>\",\n \"facebook\": \"<string>\",\n \"google_business_messaging\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"city\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"country\": \"<string>\",\n \"postal\": \"<string>\",\n \"number_of_marketing_opt_in_requests\": 123,\n \"latest_marketing_opt_in_request_sent_at\": \"<string>\",\n \"campaign_messages_this_month\": 123,\n \"whatsapp_marketing_opt_in\": false,\n \"sms_marketing_opt_in\": false,\n \"email_marketing_opt_in\": false,\n \"facebook_marketing_opt_in\": false,\n \"instagram_marketing_opt_in\": false,\n \"google_business_messaging_marketing_opt_in\": false,\n \"postal_marketing_opt_in\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/contact")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"random uuid\",\n \"created_at\": \"now()\",\n \"updated_at\": \"now()\",\n \"organisation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"full_name\": \"<string>\",\n \"fts\": \"<string>\",\n \"is_blocked\": false,\n \"external_id\": \"<string>\",\n \"secondary_external_id\": \"<string>\",\n \"birthday\": \"2023-12-25\",\n \"salutation\": \"<string>\",\n \"email\": \"<string>\",\n \"sms\": \"<string>\",\n \"whatsapp\": \"<string>\",\n \"instagram\": \"<string>\",\n \"facebook\": \"<string>\",\n \"google_business_messaging\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"city\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"country\": \"<string>\",\n \"postal\": \"<string>\",\n \"number_of_marketing_opt_in_requests\": 123,\n \"latest_marketing_opt_in_request_sent_at\": \"<string>\",\n \"campaign_messages_this_month\": 123,\n \"whatsapp_marketing_opt_in\": false,\n \"sms_marketing_opt_in\": false,\n \"email_marketing_opt_in\": false,\n \"facebook_marketing_opt_in\": false,\n \"instagram_marketing_opt_in\": false,\n \"google_business_messaging_marketing_opt_in\": false,\n \"postal_marketing_opt_in\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"display_name": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true,
"whatsapp_transactional_opt_in": "legitimate_interest",
"sms_transactional_opt_in": "legitimate_interest",
"email_transactional_opt_in": "legitimate_interest",
"facebook_transactional_opt_in": "legitimate_interest",
"instagram_transactional_opt_in": "legitimate_interest",
"google_business_messaging_transactional_opt_in": "legitimate_interest",
"postal_transactional_opt_in": "legitimate_interest"
}This response has no body data.Contact
Update Contact
Update an existing contact
Update Contact
curl --request PATCH \
--url https://integration.getmateo.com/api/v1/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true
}
'import requests
url = "https://integration.getmateo.com/api/v1/contact"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": False,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": False,
"sms_marketing_opt_in": False,
"email_marketing_opt_in": False,
"facebook_marketing_opt_in": False,
"instagram_marketing_opt_in": False,
"google_business_messaging_marketing_opt_in": False,
"postal_marketing_opt_in": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
full_name: '<string>',
fts: '<string>',
is_blocked: false,
external_id: '<string>',
secondary_external_id: '<string>',
birthday: '2023-12-25',
salutation: '<string>',
email: '<string>',
sms: '<string>',
whatsapp: '<string>',
instagram: '<string>',
facebook: '<string>',
google_business_messaging: '<string>',
address_line1: '<string>',
address_line2: '<string>',
city: '<string>',
zipcode: '<string>',
country: '<string>',
postal: '<string>',
number_of_marketing_opt_in_requests: 123,
latest_marketing_opt_in_request_sent_at: '<string>',
campaign_messages_this_month: 123,
whatsapp_marketing_opt_in: false,
sms_marketing_opt_in: false,
email_marketing_opt_in: false,
facebook_marketing_opt_in: false,
instagram_marketing_opt_in: false,
google_business_messaging_marketing_opt_in: false,
postal_marketing_opt_in: true
})
};
fetch('https://integration.getmateo.com/api/v1/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/contact",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'random uuid',
'created_at' => 'now()',
'updated_at' => 'now()',
'organisation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'full_name' => '<string>',
'fts' => '<string>',
'is_blocked' => false,
'external_id' => '<string>',
'secondary_external_id' => '<string>',
'birthday' => '2023-12-25',
'salutation' => '<string>',
'email' => '<string>',
'sms' => '<string>',
'whatsapp' => '<string>',
'instagram' => '<string>',
'facebook' => '<string>',
'google_business_messaging' => '<string>',
'address_line1' => '<string>',
'address_line2' => '<string>',
'city' => '<string>',
'zipcode' => '<string>',
'country' => '<string>',
'postal' => '<string>',
'number_of_marketing_opt_in_requests' => 123,
'latest_marketing_opt_in_request_sent_at' => '<string>',
'campaign_messages_this_month' => 123,
'whatsapp_marketing_opt_in' => false,
'sms_marketing_opt_in' => false,
'email_marketing_opt_in' => false,
'facebook_marketing_opt_in' => false,
'instagram_marketing_opt_in' => false,
'google_business_messaging_marketing_opt_in' => false,
'postal_marketing_opt_in' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/contact"
payload := strings.NewReader("{\n \"id\": \"random uuid\",\n \"created_at\": \"now()\",\n \"updated_at\": \"now()\",\n \"organisation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"full_name\": \"<string>\",\n \"fts\": \"<string>\",\n \"is_blocked\": false,\n \"external_id\": \"<string>\",\n \"secondary_external_id\": \"<string>\",\n \"birthday\": \"2023-12-25\",\n \"salutation\": \"<string>\",\n \"email\": \"<string>\",\n \"sms\": \"<string>\",\n \"whatsapp\": \"<string>\",\n \"instagram\": \"<string>\",\n \"facebook\": \"<string>\",\n \"google_business_messaging\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"city\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"country\": \"<string>\",\n \"postal\": \"<string>\",\n \"number_of_marketing_opt_in_requests\": 123,\n \"latest_marketing_opt_in_request_sent_at\": \"<string>\",\n \"campaign_messages_this_month\": 123,\n \"whatsapp_marketing_opt_in\": false,\n \"sms_marketing_opt_in\": false,\n \"email_marketing_opt_in\": false,\n \"facebook_marketing_opt_in\": false,\n \"instagram_marketing_opt_in\": false,\n \"google_business_messaging_marketing_opt_in\": false,\n \"postal_marketing_opt_in\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://integration.getmateo.com/api/v1/contact")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"random uuid\",\n \"created_at\": \"now()\",\n \"updated_at\": \"now()\",\n \"organisation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"full_name\": \"<string>\",\n \"fts\": \"<string>\",\n \"is_blocked\": false,\n \"external_id\": \"<string>\",\n \"secondary_external_id\": \"<string>\",\n \"birthday\": \"2023-12-25\",\n \"salutation\": \"<string>\",\n \"email\": \"<string>\",\n \"sms\": \"<string>\",\n \"whatsapp\": \"<string>\",\n \"instagram\": \"<string>\",\n \"facebook\": \"<string>\",\n \"google_business_messaging\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"city\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"country\": \"<string>\",\n \"postal\": \"<string>\",\n \"number_of_marketing_opt_in_requests\": 123,\n \"latest_marketing_opt_in_request_sent_at\": \"<string>\",\n \"campaign_messages_this_month\": 123,\n \"whatsapp_marketing_opt_in\": false,\n \"sms_marketing_opt_in\": false,\n \"email_marketing_opt_in\": false,\n \"facebook_marketing_opt_in\": false,\n \"instagram_marketing_opt_in\": false,\n \"google_business_messaging_marketing_opt_in\": false,\n \"postal_marketing_opt_in\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/contact")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"random uuid\",\n \"created_at\": \"now()\",\n \"updated_at\": \"now()\",\n \"organisation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"full_name\": \"<string>\",\n \"fts\": \"<string>\",\n \"is_blocked\": false,\n \"external_id\": \"<string>\",\n \"secondary_external_id\": \"<string>\",\n \"birthday\": \"2023-12-25\",\n \"salutation\": \"<string>\",\n \"email\": \"<string>\",\n \"sms\": \"<string>\",\n \"whatsapp\": \"<string>\",\n \"instagram\": \"<string>\",\n \"facebook\": \"<string>\",\n \"google_business_messaging\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"city\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"country\": \"<string>\",\n \"postal\": \"<string>\",\n \"number_of_marketing_opt_in_requests\": 123,\n \"latest_marketing_opt_in_request_sent_at\": \"<string>\",\n \"campaign_messages_this_month\": 123,\n \"whatsapp_marketing_opt_in\": false,\n \"sms_marketing_opt_in\": false,\n \"email_marketing_opt_in\": false,\n \"facebook_marketing_opt_in\": false,\n \"instagram_marketing_opt_in\": false,\n \"google_business_messaging_marketing_opt_in\": false,\n \"postal_marketing_opt_in\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"display_name": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true,
"whatsapp_transactional_opt_in": "legitimate_interest",
"sms_transactional_opt_in": "legitimate_interest",
"email_transactional_opt_in": "legitimate_interest",
"facebook_transactional_opt_in": "legitimate_interest",
"instagram_transactional_opt_in": "legitimate_interest",
"google_business_messaging_transactional_opt_in": "legitimate_interest",
"postal_transactional_opt_in": "legitimate_interest"
}This response has no body data.Authorizations
Query Parameters
Body
application/json
contact
Response
The updated Contact object